GET /api/v3/place/{placeId}/digest/normalized/monthly

Retrieves rolled up normalized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.

GetPlaceNomalizedMonthlyV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId The place to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for normalized and savings, and 24 or 26 (if 13 accounting periods) for normalized and normalized) integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceDigestNormalizedMonthlyResponse
Property Description Type
commodities An array of monthly data per commodity PlaceDigestNormalizedMonthlyResponse+CommodityData[]
PlaceDigestNormalizedMonthlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of commodity monthly data PlaceDigestNormalizedMonthlyResponse+CommodityResults[]
PlaceDigestNormalizedMonthlyResponse+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonDemand Common Demand number (double)
commonUse Common Use number (double)
cumulativeCommonUse Cumulative Common Use number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
periodName Calendar Period Name string
targetComparison PlaceDigestNormalizedCommodityTargetComparisonMonthly
PlaceDigestNormalizedCommodityTargetComparisonMonthly properties
Property Description Type
results Monthly Target Data PlaceDigestNormalizedCommodityTargetComparisonMonthly+CommodityResults[]
PlaceDigestNormalizedCommodityTargetComparisonMonthly+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonDemand Common Demand number (double)
commonUse Common Use number (double)
cumulativeCommonUse Cumulative Common Use number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
periodName Calendar Period Name string
targetLabel Target Label string
targetYear Target Year integer (int32)
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
results An array of monthly data PlaceDigestNormalizedMonthlyResponse+Results[]
PlaceDigestNormalizedMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
periodName Calendar Period Name string
targetComparison PlaceDigestNormalizedTargetComparisonMonthly
PlaceDigestNormalizedTargetComparisonMonthly properties
Property Description Type
results Monthly Target Data PlaceDigestNormalizedTargetComparisonMonthly+Results[]
PlaceDigestNormalizedTargetComparisonMonthly+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
periodName Calendar Period Name string
targetLabel Target Label string
targetYear Target Year integer (int32)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "commonDemand": 1.0,      "commonUse": 1.0,      "cumulativeCommonUse": 1.0,      "fiscalPeriod": 1,      "fiscalYear": 1,      "globalUse": 1.0,      "periodName": "string"
    }
    ],    "targetComparison": {      "results": [],      "targetLabel": "string",      "targetYear": 1
    }
  }
  ],  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "placeCode": "string",  "placeId": 1,  "placeInfo": "string",  "results": [
    {    "calendarPeriod": 1,    "calendarYear": 1,    "fiscalPeriod": 1,    "fiscalYear": 1,    "globalUse": 1.0,    "periodName": "string"
  }
  ],  "targetComparison": {    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "fiscalPeriod": 1,      "fiscalYear": 1,      "globalUse": 1.0,      "periodName": "string"
    }
    ],    "targetLabel": "string",    "targetYear": 1
  },  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.